> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudglue.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhooks

> List all webhooks



## OpenAPI

````yaml GET /webhooks
openapi: 3.0.0
info:
  title: Cloudglue API
  description: API for Cloudglue
  license:
    name: Apache License 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 0.7.13
servers:
  - url: https://api.cloudglue.dev/v1
security:
  - bearerAuth: []
paths:
  /webhooks:
    get:
      tags:
        - Webhooks
      summary: List all webhooks
      description: List all webhooks
      operationId: listWebhooks
      parameters:
        - name: limit
          in: query
          description: Maximum number of webhooks to return
          required: false
          schema:
            type: integer
            maximum: 100
        - name: offset
          in: query
          description: Number of webhooks to skip
          required: false
          schema:
            type: integer
        - name: order
          in: query
          description: Order the webhooks by a specific field
          required: false
          schema:
            type: string
            enum:
              - created_at
        - name: sort
          in: query
          description: Sort the webhooks in ascending or descending order
          required: false
          schema:
            type: string
            enum:
              - asc
              - desc
      responses:
        '200':
          description: A list of webhooks
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookList'
        '500':
          description: An unexpected error occurred on the server
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    WebhookList:
      type: object
      properties:
        object:
          type: string
          enum:
            - list
          description: Object type, always 'list'
        data:
          type: array
          items:
            $ref: '#/components/schemas/Webhook'
          description: Array of webhook objects
        total:
          type: integer
          description: Total number of webhooks matching the query
        limit:
          type: integer
          description: Number of items returned in this response
        offset:
          type: integer
          description: Offset from the start of the list
      required:
        - object
        - data
        - total
        - limit
        - offset
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
    Webhook:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the webhook
        object:
          type: string
          enum:
            - webhook
          description: Object type, always 'webhook'
        created_at:
          type: integer
          description: Unix timestamp in milliseconds when the webhook was created
        webhook_secret:
          type: string
          description: Secret used to verify the webhook request
        endpoint:
          type: string
          description: URL of the webhook endpoint
        active:
          type: boolean
          description: Whether the webhook is active
        description:
          type: string
          description: Description of the webhook
        subscribed_events:
          type: array
          description: Events that the webhook is subscribed to
          items:
            $ref: '#/components/schemas/WebhookEvents'
      required:
        - id
        - object
        - created_at
        - subscribed_events
        - active
        - endpoint
        - webhook_secret
    WebhookEvents:
      type: string
      enum:
        - describe.job.processing
        - describe.job.completed
        - describe.job.failed
        - extract.job.processing
        - extract.job.completed
        - extract.job.failed
        - file.job.processing
        - file.job.completed
        - file.job.failed
        - file.job.deleted
        - collection.file.job.processing
        - collection.file.job.completed
        - collection.file.job.failed
        - collection.file.job.deleted
        - segment.job.processing
        - segment.job.completed
        - segment.job.failed
      description: Webhook events that can be subscribed to
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````